<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc (11.0.8) on Mon Nov 30 13:15:36 CET 2020 -->
<title>OperatingSystemBuilder</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-11-30">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
</head>
<body>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">org.eclipse.app4mc.amalthea.model.builder</a></div>
<h2 title="Class OperatingSystemBuilder" class="title">Class OperatingSystemBuilder</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li>OperatingSystemBuilder</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">OperatingSystemBuilder</span>
extends Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E()">OperatingSystemBuilder</a></span>()</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#apiOverhead(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">apiOverhead</a></span>&#8203;(OsOverhead&nbsp;container,
           Procedures.Procedure1&lt;OsAPIOverhead&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dataConsistency(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">dataConsistency</a></span>&#8203;(OperatingSystem&nbsp;container,
               Procedures.Procedure1&lt;OsDataConsistency&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#interruptController(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">interruptController</a></span>&#8203;(OperatingSystem&nbsp;container,
                   Procedures.Procedure1&lt;InterruptController&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isrOverheadCat1(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">isrOverheadCat1</a></span>&#8203;(OsOverhead&nbsp;container,
               Procedures.Procedure1&lt;OsISROverhead&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#isrOverheadCat2(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">isrOverheadCat2</a></span>&#8203;(OsOverhead&nbsp;container,
               Procedures.Procedure1&lt;OsISROverhead&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#labelAccess(org.eclipse.app4mc.amalthea.model.Scheduler,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">labelAccess</a></span>&#8203;(Scheduler&nbsp;container,
           Procedures.Procedure1&lt;LabelAccess&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#operatingSystem(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">operatingSystem</a></span>&#8203;(OSModel&nbsp;container,
               Procedures.Procedure1&lt;OperatingSystem&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#operatingSystem_Vendor(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">operatingSystem_Vendor</a></span>&#8203;(OSModel&nbsp;container,
                      Procedures.Procedure1&lt;VendorOperatingSystem&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>OSModel</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#osModelRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">osModelRoot</a></span>&#8203;(Procedures.Procedure1&lt;OSModel&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#osOverhead(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">osOverhead</a></span>&#8203;(OSModel&nbsp;container,
          Procedures.Procedure1&lt;OsOverhead&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parameter_extension(org.eclipse.app4mc.amalthea.model.SchedulerAssociation,java.lang.String,java.lang.String)">parameter_extension</a></span>&#8203;(SchedulerAssociation&nbsp;container,
                   String&nbsp;key,
                   String&nbsp;value)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parentAssociation(org.eclipse.app4mc.amalthea.model.TaskScheduler,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">parentAssociation</a></span>&#8203;(TaskScheduler&nbsp;container,
                 Procedures.Procedure1&lt;SchedulerAssociation&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#schedulingParameters(org.eclipse.app4mc.amalthea.model.SchedulerAssociation,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">schedulingParameters</a></span>&#8203;(SchedulerAssociation&nbsp;container,
                    Procedures.Procedure1&lt;SchedulingParameters&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#semaphore(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">semaphore</a></span>&#8203;(OSModel&nbsp;container,
         Procedures.Procedure1&lt;Semaphore&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#taskScheduler(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">taskScheduler</a></span>&#8203;(OperatingSystem&nbsp;container,
             Procedures.Procedure1&lt;TaskScheduler&gt;&nbsp;initializer)</code></th>
<td class="colLast">&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;Object</h3>
<code>equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>OperatingSystemBuilder</h4>
<pre>public&nbsp;OperatingSystemBuilder()</pre>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="osModelRoot(org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>osModelRoot</h4>
<pre class="methodSignature">public&nbsp;OSModel&nbsp;osModelRoot&#8203;(Procedures.Procedure1&lt;OSModel&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="operatingSystem(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>operatingSystem</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;operatingSystem&#8203;(OSModel&nbsp;container,
                            Procedures.Procedure1&lt;OperatingSystem&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="operatingSystem_Vendor(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>operatingSystem_Vendor</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;operatingSystem_Vendor&#8203;(OSModel&nbsp;container,
                                   Procedures.Procedure1&lt;VendorOperatingSystem&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="semaphore(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>semaphore</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;semaphore&#8203;(OSModel&nbsp;container,
                      Procedures.Procedure1&lt;Semaphore&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="osOverhead(org.eclipse.app4mc.amalthea.model.OSModel,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>osOverhead</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;osOverhead&#8203;(OSModel&nbsp;container,
                       Procedures.Procedure1&lt;OsOverhead&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="taskScheduler(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>taskScheduler</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;taskScheduler&#8203;(OperatingSystem&nbsp;container,
                          Procedures.Procedure1&lt;TaskScheduler&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="interruptController(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>interruptController</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;interruptController&#8203;(OperatingSystem&nbsp;container,
                                Procedures.Procedure1&lt;InterruptController&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="dataConsistency(org.eclipse.app4mc.amalthea.model.OperatingSystem,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dataConsistency</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;dataConsistency&#8203;(OperatingSystem&nbsp;container,
                            Procedures.Procedure1&lt;OsDataConsistency&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="labelAccess(org.eclipse.app4mc.amalthea.model.Scheduler,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>labelAccess</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;labelAccess&#8203;(Scheduler&nbsp;container,
                        Procedures.Procedure1&lt;LabelAccess&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="parentAssociation(org.eclipse.app4mc.amalthea.model.TaskScheduler,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parentAssociation</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parentAssociation&#8203;(TaskScheduler&nbsp;container,
                              Procedures.Procedure1&lt;SchedulerAssociation&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="schedulingParameters(org.eclipse.app4mc.amalthea.model.SchedulerAssociation,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>schedulingParameters</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;schedulingParameters&#8203;(SchedulerAssociation&nbsp;container,
                                 Procedures.Procedure1&lt;SchedulingParameters&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="parameter_extension(org.eclipse.app4mc.amalthea.model.SchedulerAssociation,java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parameter_extension</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;parameter_extension&#8203;(SchedulerAssociation&nbsp;container,
                                String&nbsp;key,
                                String&nbsp;value)</pre>
</li>
</ul>
<a id="apiOverhead(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>apiOverhead</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;apiOverhead&#8203;(OsOverhead&nbsp;container,
                        Procedures.Procedure1&lt;OsAPIOverhead&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="isrOverheadCat1(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isrOverheadCat1</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;isrOverheadCat1&#8203;(OsOverhead&nbsp;container,
                            Procedures.Procedure1&lt;OsISROverhead&gt;&nbsp;initializer)</pre>
</li>
</ul>
<a id="isrOverheadCat2(org.eclipse.app4mc.amalthea.model.OsOverhead,org.eclipse.xtext.xbase.lib.Procedures.Procedure1)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isrOverheadCat2</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;isrOverheadCat2&#8203;(OsOverhead&nbsp;container,
                            Procedures.Procedure1&lt;OsISROverhead&gt;&nbsp;initializer)</pre>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
</body>
</html>
